network-bsd: Network.BSD

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

The network package version 2.* series provides Network.BSD but it is removed starting with network version 3.0.

This package provides the Network.BSD module split off from the network package.

If in addition to the network's modules also Network.BSD is necessary, add network-bsd to your dependencies like so:

library
    build-depends: network     >= 2.7 && < 3.1
                 , network-bsd >= 2.7 && < 2.9

I.e. you can control the version of the network package independently.

NOTE: Starting with version network-bsd-2.8.0.1 this package requires network >= 3 in order to avoid module name clashes with network < 3's Network.BSD module.

However, network-bsd-2.7.0.0 and network-bsd-2.8.0.0 passes thru the Network.BSD module from network-2.7.* and network-2.8.* respectively in a non-clashing way via cabal's reexported-modules" feature while ensuring a well-defined API versioning of the observable API of network-bsd. This is why the example above supporting a wide range of network versions works by including version 2.7.0.0 in the required version range of network-bsd@.

Properties

Version2.8.0.1
Change logNone available
Dependenciesbase (>=4.7 && <5), network (>=3 && <3.1) [details]
LicenseBSD-3-Clause
MaintainerKazu Yamamoto
CategoryNetwork
Home pagehttps://github.com/haskell/network-bsd
Bug trackerhttps://github.com/haskell/network-bsd/issues
Source repositoryhead: git clone git://github.com/haskell/network-bsd.git
UploadedSun Oct 28 11:20:11 UTC 2018 by HerbertValerioRiedel

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees